package edu.harvard.mgh.purcell.gplink.mainGUI;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JMenuItem;

import edu.harvard.mgh.purcell.gplink.data.Project;

@SuppressWarnings("serial")
final public class FolderListPopUp extends GplinkPopUpMenu {
	MainFrame frame;
	Project data;
	String [] fileNames;
	
	ActionListener edit = new ActionListener(){

		public void actionPerformed(ActionEvent arg0) {
			new EditFolderDialog(frame, fileNames);
		}
		
	};
	
	public FolderListPopUp(MainFrame givenFrame, 
			String [] givenName){
		super(givenFrame, givenName, null);
		frame = givenFrame;
		data = frame.data;
		fileNames = givenName;
		
//		point the filename to the local copy of the file
		if(data == null)
			return;
		
	
		/*
		 * create the menu items
		 */
		JMenuItem editFolderFile = new JMenuItem("Edit");
		
		editFolderFile.addActionListener(edit);
		
		add(editFolderFile);
		pack();
	}
}
